/* CSS VERSION 1.1 */
/* 2 Mar 2026 */

/* =============================== */
/*  PAGE HOME 
/* =============================== */
/*  SECTION BANNER
/* =============================== */

#banner {
    padding-top: 0;
}

.banner-location-box {
    position: absolute;
    right: 0;
    bottom: 0;
}

/* =============================== */
/*  SECTION OFFERS 
/* =============================== */

.offers-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
}

.offer-name {
    background-color: var(--red);
    width: min(80%, 320px);
    padding: 20px 30px;
    border-radius: 25px 0 25px 0;
    color: #fff;
    text-align: center;
    font-size: 1.2rem;
    font-weight: 700;
    text-transform: uppercase;
    position: absolute;
    z-index: 2;

    & h3 {
        display: flex;
        flex-direction: column;
        text-align: left;
        margin-bottom: 0;
        font-size: 1.5rem;
    }

    & .line2 {
        font-size: 1.1rem;
        font-weight: 400;
        text-transform: uppercase;
        color: #fff;
    }
}

.offer-item-image {
    min-height: 450px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 25px;
    position: relative;
    transition: 0.35s ease-in-out;

    &:hover {
        transform: scale(1.01);
    }

}

/* OVERLAY EFFECT */
.offer-item-overlay {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.7) 25%, transparent 100%);
    border-radius: 25px;
    z-index: 1;
    opacity: 0;
    transition: 0.35s ease-in-out;
    padding: 20px 5%;
    overflow: hidden;

    & .excerpt {
        font-size: 0.9rem;
        line-height: 1.1rem;
        color: #fff;
        text-align: center;
        margin-top: 20px;
        transform: translateY(150%);
        transition: 0.55s ease-in-out;
    }
}

.offer-item-image:hover .offer-item-overlay {
    opacity: 1;
}

.offer-item-image:hover .offer-item-overlay .excerpt {
    transform: translateY(0);
}


.check-details {
    position: absolute;
    left: 50%;
    top: 40%;
    transform: translate(-50%, -50%);
    background-color: rgba(0, 0, 0, 0.7);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 150px;
    height: 150px;
    padding: 5%;
    text-align: center;
    color: #fff;
    border-radius: 80px;
    z-index: 2;
    transition: 0.55s ease-in-out;
    opacity: 0;
}


.offer-item-image:hover .check-details {
    opacity: 1;
}


/* OFFER ITEM DETAILS */
.offer-item-details {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    background-color: #fff;
    height: 90px;
    margin-top: 20px;
    border-radius: 25px;
    padding: 20px min(20px, 5%);
    box-shadow: 0 10px 30px 0 rgba(0, 0, 0, 0.15);
    gap: min(10px, 2%);
}

.offer-item-element {
    display: flex;
    align-items: center;
    gap: 10px;

    & img {
        height: 30px;
    }

    & span {
        font-size: 0.9rem;
        line-height: 1rem;
    }

}


/* =============================== */
/*  SECTION WHY WILLA DEVELOPER 
/* =============================== */

.why-tile {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    background-color: var(--light-grey);
    padding: max(5%, 40px);
    border-radius: 35px;
    max-width: 300px;
    min-height: 350px;
}

.why-tile-icon {
    width: 50px;
    margin-bottom: 15px;
}

.why-tile-content {

    & h4 {
        font-size: 1.4rem;
        font-weight: 600;
    }
}

/* SECTION MEDIA QUERIES   /////////////////////////////// */
/* @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ */
/* @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ */

@media (max-width: 992px) {
    .offers-list {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media (max-width: 768px) {

    .why-tile {
        max-width: 400px;
        min-height: 300px;
        margin-bottom: 30px;
    }

}

@media (max-width: 576px) {

}